**`RAFAL CHMIELECKI`[NAME]** -NL- Cloud Solution Architect (IaaS, PaaS and SaaS in financial companies), OpenShift expert -NL- with development background in JAVA/J2EE, GRAILS, SCALA, AWS AND OPENSHIFT -NL- Frankfurt am Main/Germany **`+49 176 2548 8408`[PHONES_PHONE]** -NL- **`rchmielecki@gmail.com`[EMAILS_EMAIL]**, https://www.linkedin.com/in/rafalch -NL- **`PROFILE`[WORK_EXPERIENCE_HEADING]** -NL- Cloud Architect (IaaS and PaaS domain), Solution and EAI Architect - Polyglot/Full-stack -NL- software developer, with over 17 years of experience in software development. Specializing in low- -NL- latency, real-time systems, software architecture, security and encryption. -NL- Over 17 years of Software Development for big financial institutions, such as Commerzbank, Deutsche -NL- Bank, Fujitsu, PKO Bank Polski, Cantor Fitzgerald, Inteligo Financial Services and others. Direct -NL- exposure to C-level management, reporting directly to CTO, or equivalent. Evangelist of using agile/scrum -NL- principles and methodology in financial institutions. Certified Scrum Master. Fintech enthusiast. -NL- TECHNOLOGY STACK AND EXPERIENCE -NL- • Enterprise architecture (6 years): TOGAF, Zachman, UML, various architecture tools, business -NL- processing/BPMN engines (jBPM/Activity), DevOps concepts, continuous integration concepts. -NL- • Cloud architectures (4 years): IaaS, PaaS, private and hybrid clouds development -NL- (creating private cloud architectures on both: system and software level), custom -NL- services, cloud technologies: OpenShift, Kubernetes, AWS, Azure, Docker, Fujitsu K5 -NL- • Enterprise integration architecture and solutions (over 10 years): EAI architectures, -NL- Message Oriented Middleware, IBM Websphere 6/7/8, SOA patterns, Mirth Connect, -NL- Redhat Fuse, Mule ESB, Mule Healthcare, SOAP, WSDL, multi-tier, SOA (web services, -NL- SOAP, XML-RPC, RSS feeding). Solr/Lucene, ElasticSearch/Kibana. Various ETL tools. -NL- • J2EE full-stack development (16+ years): Java/J2EE, Scala, Groovy/Grails (JSP, Servlets, -NL- EJB, Tiles, Hibernate, Junit, Spring, JMS, multi-threading, socket programming, expert in -NL- servlets and high load, low latency portal systems. -NL- • .NET software development: C#, Visual Basic, Visual C++, Microsoft SQL Server -NL- development and administration, Azure services, -NL- • Non-Java software development (8+ years): Grails/Groovy (many commercial projects, -NL- portals, custom plugins development), Scala, web development (many different MVCs), -NL- NodeJS, AngularJS, Sencha, MeteorJS, MongoDB. -NL- • Other technical expertise: Forex platforms development, MetaTrader dev, AI concepts in day-trading, -NL- statistic indicators development, genetic algorithmics for market simulations, machine learning. -NL- Rafał Chmielecki – SOFTWARE ARCHITECT, AGILE TEAM LEADER, JAVA/J2EE, GRAILS AND SCALA -NL- SOFTWARE DEVELOPER Address: Frankfurt am Main/ Germany, Telephone number: **`+49 176 2548 8408`[PHONES_PHONE]**, -NL- Email: **`rchmielecki@gmail.com`[EMAILS_EMAIL]**, LinkedIn: https://pl.linkedin.com/in/rafalch -NL- PROJECTS PORTFOLIO (SELECTED PROJECTS ONLY): -NL- PROJECT: **`PAAS SOLUTION PRESALES`[PROJECT_TITLE]**– CLIENT: **`DEUTSCHE BANK `[PROJECT_COMPANY_NAME]**(GERMANY) – FROM AUG 2016 -NL- Role: Domain Architect (PaaS, Clouds), Solution Architect (presales role). -NL- Responsible for designing presales solution for the client (CommerzBank), pitch proposal preparation, -NL- co-operating with a pitch team. The main task was to provide consultancy about cloud solutions, -NL- Platform-as-a-Service offerings, hybrid-clouds, CI-CD pipelines, enterprise standardization. -NL- Helped to drive client’s organization forward by leveraging the scalability, dispersed environment, -NL- modern operations and tailoring it to particular business needs. -NL- PROJECT: **`PAAS EAI SOLUTION`[PROJECT_TITLE]** – CLIENT: **`DEUTSCHE BANK `[PROJECT_COMPANY_NAME]**(GERMANY) – FROM AUG 2016 -NL- Role: EAI and PaaS Cloud Solution Architect (lead role). -NL- Responsible for designing modern, edge-cutting DeutscheBank's cloud-based PaaS/SaaS solution -NL- architecture, designed to provide EAI platform as managed services for global organization policy. -NL- Utilizing latest cloud and EAI technology stack, modern methodologies and concepts. Agile -NL- development methodology applied with modern SDLC CI/CD automated processes. -NL- Technology stack: Apache Camel, Karaf, JBoss Fuse, EAP, OpenShift v3, RHEL and many others. -NL- PROJECT: **`HR PAYROLL CLOUD SOLUTION `[PROJECT_TITLE]**– CLIENT: **`DEUTSCHE BANK `[PROJECT_COMPANY_NAME]**(GERMANY) – 2015-2016 -NL- Role: Solution Architect. -NL- **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]**’s HR Division global project, with aim to integrate and interchange all existing HR -NL- systems in **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]**’s global organization. With the major role in the project as a Solution -NL- Architect, reporting directly to the organization’s management board. Project’s scope included -NL- technical analysis, enterprise-level design, domain approach to architecture and external vendor -NL- management and supervision. Extensive exposure to high management, business facing position, -NL- global organization structures, business continuity and financial, high level security issues. -NL- Technologies: Azure, C#, ASP.NET, Saas with custom SSO with SAML tokens, MS SQL -NL- PROJECT: **`HYDROGEN (ORIGINAL PROJECT)`[PROJECT_TITLE]** – CLIENT: **`KRC MEDIA `[PROJECT_COMPANY_NAME]**(POLAND)- 2012-2015 -NL- Role: Software Architect. Business co-owner. -NL- Modern EHR/CRM system - original project. Hydrogen is an Electronic Health Record (EHR), or -NL- Electronic Medical Record (EMR) – system utilizing systematic collections of electronic health -NL- information about an individual patient or population. Low-latency, multithreaded code implemented. -NL- Technologies and key features: Full-stack Java/J2EE, Groovy/Grails, Sencha (ExtJS), BPMN support - Activity, -NL- HL7 (CDA) v2 and v3, OpenEHR, DICOM (for PACS servers), Mule ESB, Mule Healthcare, Redhat Fuse, Camel, -NL- WAS 7.0. Designed as Saas with custom SSO with SAML tokens, based on Spring Security on SSO node. AWS -NL- For full experience timeline, selected publications, endorsements and references, please -NL- visit profile on LinkedIn: https://www.linkedin.com/in/rchmielecki -NL- Rafał Chmielecki – SOFTWARE ARCHITECT, AGILE TEAM LEADER, JAVA/J2EE, GRAILS AND SCALA -NL- SOFTWARE DEVELOPER Address: Frankfurt am Main/ Germany, Telephone number: **`+49 176 2548 8408`[PHONES_PHONE]**, -NL- Email: **`rchmielecki@gmail.com`[EMAILS_EMAIL]**, LinkedIn: https://pl.linkedin.com/in/rafalch -NL- **`EXPERIENCE TIMELINE`[WORK_EXPERIENCE_HEADING]** -NL- POSITION: **`CLOUD SOLUTION ARCHITECT`[EMPLOYER_ROLE]** (OPENSHIFT EXPERT) -NL- September 2017 – Present -NL- **`Comerzbank AG`[EMPLOYER_COMPANY_NAME]**, Frankfurt am Main, Germany -NL- POSITION: **`DOMAIN ARCHITECT `[EMPLOYER_ROLE]**(PAAS, CLOUDS), SOLUTION ARCHITECT (PRESALES ROLE) -NL- March 2017 – Present -NL- **`Fujitsu Global`[EMPLOYER_COMPANY_NAME]**, Frankfurt am Main, Germany -NL- POSITION: **`EAI AND PAAS CLOUD SOLUTION ARCHITECT `[EMPLOYER_ROLE]**(LEAD ROLE) -NL- November 2015 – February 2017 -NL- **`Deutsche Bank`[EMPLOYER_COMPANY_NAME]**, Frankfurt am Main, Germany -NL- POSITION: **`SOFTWARE ARCHITECT `[EMPLOYER_ROLE]**(LEAD ROLE) -NL- January 2012 – 2015 (3 years) -NL- **`KRC Media`[EMPLOYER_COMPANY_NAME]**, Warsaw, Poland -NL- POSITION: **`PROJECT MANAGER, SOFTWARE ARCHITECT`[EMPLOYER_ROLE]** (LEAD ROLE) -NL- August 2008 – September 2010 (2 years 2 months) -NL- **`Medima Sp. z o.o`[EMPLOYER_COMPANY_NAME]**. Warsaw, Poland -NL- POSITION: **`JAVA PROGRAMMER/CONTRACTOR`[EMPLOYER_ROLE]** -NL- May 2007 – March 2008 (11 months) -NL- **`BBC Worldwide`[EMPLOYER_COMPANY_NAME]**, London, UK -NL- POSITION: **`SENIOR DEVELOPER/PROGRAMER`[EMPLOYER_ROLE]** -NL- February 2006 – February 2007 (1 year 1 month) -NL- **`Telecom Express Ltd`[EMPLOYER_COMPANY_NAME]**. London, UK -NL- POSITION: **`PROGRAMMER `[EMPLOYER_ROLE]**-NL- January 2003 – January 2005 (2 years 1 month) -NL- **`F.Hoffmann-La Roche`[EMPLOYER_COMPANY_NAME]**, Warsaw, Poland -NL- For full experience timeline, selected publications, endorsements and references, please -NL- visit profile on LinkedIn: https://www.linkedin.com/in/rchmielecki -NL- OTHER CONTRACT CLIENTS -NL- Rafał Chmielecki – SOFTWARE ARCHITECT, AGILE TEAM LEADER, JAVA/J2EE, GRAILS AND SCALA -NL- SOFTWARE DEVELOPER Address: Frankfurt am Main/ Germany, Telephone number: **`+49 176 2548 8408`[PHONES_PHONE]**, -NL- Email: **`rchmielecki@gmail.com`[EMAILS_EMAIL]**, LinkedIn: https://pl.linkedin.com/in/rafalch -NL- 